Adds a new program-level interest rate tier.post https://example.com/programs/{programCode}/InterestRateTiersThis endpoint allows Partners to create a new interest rate tier.Path ParamsprogramCodestringrequiredThe program code associated with the request.Body Paramsapplication/json-patch+jsonapplication/jsontext/jsonapplication/*+jsonThe request object containing details of the program interest rate tier to add.Represents a request to add a new interest rate tier to a program. Contains details about the interest tier, balance types, frequency, applicable dates, and balance thresholds.interestTierNamestring | nullThe name of the interest rate tier.accountBalanceTypestring | nullThe type of account balance to which the interest tier applies.frequencystring | nullThe frequency at which the interest is applied (e.g., monthly, quarterly).startDatedate-time | nullThe start date from which the interest tier is effective.endDatedate-time | nullThe end date until which the interest tier is effective.APYdouble | nullThe annual percentage yield (APY) for the interest tier.maxAccountInterestTypestring | nullThe type of maximum account interest applicable to this tier.minimumPurseBalancedouble | nullThe minimum purse balance required for this interest tier.maximumPurseBalancedouble | nullThe maximum purse balance allowed for this interest tier.maxAccountInterestBalancedouble | nullThe maximum account interest balance for this tier.HeadersX-GD-RequestIdstringrequiredThe unique request identifier from the X-GD-RequestId header.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsonAllowed:application/jsontext/jsoncontent-typestringenumDefaults to application/json-patch+jsonGenerated from available request content typesapplication/*+jsonapplication/jsonapplication/json-patch+jsontext/jsonAllowed:application/*+jsonapplication/jsonapplication/json-patch+jsontext/jsonResponses 200OK 401Unauthorized 403Forbidden 500Internal Server Error 503Service UnavailableUpdated 6 months ago Deletes an interest rate tier for a specified program, account, and purse.Updates an existing program-level interest rate tier.Did this page help you?YesNo